CVE-2002-0900
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:15
NMCOE    

[原文]Buffer overflow in pks PGP public key web server before 0.9.5 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long search argument to the lookup capability.


[CNNVD]MIT PGP Public Key Server搜索字符串远程缓冲区溢出漏洞(CNNVD-200210-191)

        
        PGP Public Key Server是一款MIT分发的免费开放源代码的公共密钥搜索系统,可运行在Unix和Linux操作系统下。
        PGP Public Key Server没有很好的处理超长的字符串数据,可导致远程攻击者进行缓冲区溢出攻击。
        由于PGP Public Key Server对用户提交的数据缺少正确的检查,攻击者可以提交超长的搜索字符串给服务程序,可导致产生缓冲区溢出,精心构建字符串数据可使攻击者以Web进程的权限在目标系统上执行任意代码。
        必须注意的是漏洞比较难于利用,因为客户提交的数据必须通过isalnum()和tolower()函数转换后提交给系统处理。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mit:pgp_public_key_server:0.9.2MIT PGP Public Key Server 0.9.2
cpe:/a:mit:pgp_public_key_server:0.9.4MIT PGP Public Key Server 0.9.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0900
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0900
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-191
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4828
(VENDOR_ADVISORY)  BID  4828
http://www.iss.net/security_center/static/9171.php
(VENDOR_ADVISORY)  XF  pgp-pks-search-bo(9171)
http://www.rubin.ch/pgp/src/patch_buffoverflow20020525
(UNKNOWN)  CONFIRM  http://www.rubin.ch/pgp/src/patch_buffoverflow20020525
http://online.securityfocus.com/archive/1/274107
(UNKNOWN)  BUGTRAQ  20020524 pks public key server DOS and remote execution

- 漏洞信息

MIT PGP Public Key Server搜索字符串远程缓冲区溢出漏洞
高危 未知
2002-10-04 00:00:00 2005-05-02 00:00:00
远程  
        
        PGP Public Key Server是一款MIT分发的免费开放源代码的公共密钥搜索系统,可运行在Unix和Linux操作系统下。
        PGP Public Key Server没有很好的处理超长的字符串数据,可导致远程攻击者进行缓冲区溢出攻击。
        由于PGP Public Key Server对用户提交的数据缺少正确的检查,攻击者可以提交超长的搜索字符串给服务程序,可导致产生缓冲区溢出,精心构建字符串数据可使攻击者以Web进程的权限在目标系统上执行任意代码。
        必须注意的是漏洞比较难于利用,因为客户提交的数据必须通过isalnum()和tolower()函数转换后提交给系统处理。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 对MIT PGP Public Key Server实行访问控制,只允许可信用户访问。
        厂商补丁:
        MIT
        ---
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.mit.edu/people/marc/pks/pks.html

- 漏洞信息 (21482)

MIT PGP Public Key Server 0.9.2/0.9.4 Search String Remote Buffer Overflow (EDBID:21482)
linux dos
2002-05-24 Verified
0 Max
N/A [点击下载]
source: http://www.securityfocus.com/bid/4828/info

The PGP Public Key Server is a freely available, open source software package distributed by MIT. It is designed for use on Linux and Unix operating systems.

The PGP Public Key Server does not properly handle long search strings. Under some conditions, it may be possible to pass a long string to the server that could result in a buffer overflow. This may result in the overwriting of stack variables, including the return address. It should be noted that this vulnerability would be difficult to exploit, as client data is passed through isalnum() and tolower().

gpg --search-keys `perl -e "print 'A'x512"`

echo -e "GET /pks/lookup?op=index&search=`perl -e "print 'A'x512"`"| nc example.com 11371
		

- 漏洞信息

4743
MIT PGP Public Key Server Search String Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-05-24 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站